Get Cluster Resources (per node)
GET
/cluster/resources
const url = 'https://sylve.lan:8181/api/cluster/resources';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/cluster/resources \ --header 'Authorization: <Authorization>'Fetch jails & VMs for each cluster node (live)
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
hostname
string
jailTemplates
Array<object>
object
id
integer
name
string
sourceJailName
string
jails
Array<object>
object
cores
integer
ctId
integer
id
integer
memory
integer
name
string
resourceLimits
boolean
state
string
nodeUUID
string
vmTemplates
Array<object>
object
id
integer
name
string
sourceVmName
string
vms
Array<object>
object
cpuPinning
Array<object>
object
hostCpu
Array<integer>
hostSocket
integer
id
integer
vmId
integer
hasEnabledFilesystemStorage
boolean
id
integer
name
string
rid
integer
state
integer format: int32
vncPort
integer
error
string
message
string
status
string
Example
{ "data": [ { "vms": [ { "state": 0 } ] } ]}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}